首頁/零基礎Python從入門到精通/第14章 郵件處理(1)
零基礎Python從入門到精通_第14章 郵件處理(1)

第14章郵件處理

14.1 電子郵件介紹

14.1.1 電子郵件簡介

電子郵件(Electronic il),簡稱電郵(E-il),是指一種由寄件人將數字資訊傳送給一個人或多個人的資訊交換方式,一般透過網際網路或其他電腦網路進行書寫。傳送和接收信件,目的是達成發信人和收信人之間的資訊互動。一些早期的電子郵件需要寄件人和收件人同時線上,類似即時通訊。但是現在的電子郵件系統是以儲存與轉發的模型為基礎的,郵件伺服器接受。轉發。提交以及儲存郵件,寄信人。收信人及他們的電腦都不用同時線上,寄信人和收信人只需在寄信或收信時連線到郵件伺服器即可。

過去,電子郵件泛指所有電子式的檔案轉送,例如在20世紀70年代初期有幾位作家用“電子郵件”來描述檔案的傳真,因此很難確定是從什麼時候開始用“電子郵件”來描述匹配現在定義的電子郵件的。

電子郵件(匹配現代定義,下同)包括三個部分:訊息的“信封”。郵件標頭以及郵件內容。標頭至少包括一些傳遞郵件相關的資訊,例如寄信人的郵件地址及一至多個收信人的郵件地址,一般也會包括一些敘述性的內容,例如郵件的標題以及時間等。

電子郵件最早是純文字(ASCII)的溝通媒介,但後來擴充套件到可以加入多媒體的附件。其他字元集的文字等,同時也產生了多用途網際網路郵件擴充套件協議(),這些標準被定義在RFC 2045.RFC 2046.RFC 2047.RFC 2048.RFC 2049等RFC(請求意見稿)中。

14.1.2 電子郵件格式

在網際網路中,電郵地址的格式是:使用者名稱@主機名(域名)。@是英文“at”的意思,所以電子郵件地址是表示在某部主機上的一個使用者賬號(例:123456@)。

電子郵件的報文格式與普通手寫郵件類似,也由兩部分組成:郵件頭部和郵件體。郵件頭部相當於信封,主要包括收信人和發信人的地址。傳送日期。郵件主題等;郵件體即郵件正文,相當於信的內容。

圖14.1.1 一封電子郵件的報文格式例項

如圖14.1.1所示,方框選中的行就是報文頭部,其餘的行是郵件正文,即報文資訊。報文頭部包括了一些以關鍵字開頭的行,其中最重要的關鍵字就是“To”和“Subject”。To這一行是收件人的電子郵件地址,Subject這一行是郵件的主題,是發件人寫的,旨在告訴收件人該郵件的目的。郵件頭部還有一項是CC,表示抄送的意思,即此郵件應同時發給其他所列出的收件人。報文頭部關鍵字還有FroDate,表示發信人的電子郵件地址和郵件傳送日期,這兩項一般是由郵件系統自動填入。

14.1.3 電子郵件工作原理

。服伺件郵的己自有都,等等)易網(361.)訊騰(QQ。)浪新(aniS:商廠的務服件郵供提多很有tenretnI前目。服伺件郵子電的門專有須必,能功件郵子電供提上tenretnI在要

。中箱郵子電的者收接件郵到遞投件郵把並,件郵的來過遞投者用使收接責負要主,局郵的中活生實現於似類服伺件郵些這

。件郵子電的來過送傳人別存儲和件郵子電送發來用此以,間空及以號賬個這用使以可者用使讓,間空的定一配分號賬個這為會就服伺件郵,後號賬個一請申上服伺件郵在者用使,戶賬個一的請申上服伺件郵在者用使是就實其箱郵子電,說地切確。請申行進上服伺件郵在要需得獲的)址地li-E(箱郵子電

。)服伺送傳件郵(服伺PS為稱服伺的)求請送傳件郵(求請PS者用使理把也常通們我,此因。的則規訊通種這義定來用是就議協PS,則規訊通的定一循遵要需,件郵子電封一送傳它給想要,後之服伺件郵上線連者用使

。)服伺收接件郵(服伺3POP為稱服伺的)求請收接件郵(求請3POP者用使理把也常通們我,此因。的式格訊通種這義定來用是就議協3POP,式格訊通的定一循遵要也,後服伺件郵上連在,件郵子電收接中箱郵子電的理管服伺件郵從想若者用使,樣同

件郵子電送傳 2.41

。能功的關有件郵子電和不了供提們我為庫準標nohtyP,好幸。程過的瑣煩當相個一是收接與送傳的件郵子電現實地步一步一,中用應際實在

件郵子電送傳PS 1.2.41

。式格件郵造構們我助幫組模lie了供提還庫準標。件郵送傳,議協PS現實於用,組模bilps了供提庫準標nohtyP

。式方轉中的件信制控來用,則規的件郵送傳址地的目到址地源由組一是,)議協輸傳件郵單簡即,locotorP refsnarT li eliS(PS

。裝封的單簡了行進議協PS對它,徑途便方的件郵子電送傳種一了供提bilps的nohtyP

:為法語的件PS立建nohtyP

:明說數引

..lixe。ps:如,名域者或址地PI的機主定指以可。數引選可是,機主服伺PS:tsoh ◇

.52為號埠的PS下況般一,號埠的用使務服PS定指要需就你,數引tsoh了供提你果如:trop ◇

。)服伺件郵為作箱郵業企QQ用使是都設假的書本(可即tsohlacol為址地服伺定指要需只你,上機本的你在PS果如:antsoh_lacol ◇

:下如法語,件郵送傳法方lidnes用使件PS nohtyP

:明說數引

。址地者送傳件郵:rddaorf ◇

。址地送傳件郵,表列串元字:srdda_ot ◇

。串元字用使般一,息訊送傳:g ◇

1.2.41寫手

:出印列上幕螢在會則,利順切一果如

猜你喜歡
我車禍瀕死,渣男在陪小青梅選婚紗

一場車禍讓紀清苒認清事實。 她生死未卜求他救命時,他抱着安然無虞的小師妹,頭也不回,丟下兩個字:“別鬧。” 整整六年,她把自己活成陸霆淵的影子,小心翼翼,事事討好,卻比不過小師妹嬌嬌軟軟一聲“師兄,我怕。” 他的心裡裝了那麼多人,而她排在最末尾。 分手,離開,拉黑,她藏起要送他的婚戒,從他生命里徹底消失。 可她步步抽身,他卻步步緊逼。 曾經不可一世的男人把她逼至牆角,紅着眼求她回頭。 “苒苒,你是我的癮,戒不掉,也不想戒。” 情愛如毒,蝕骨難解。誰先上癮,誰輸得一敗塗地。

四合院:傻柱重生,娶妻陳雪茹

穿越成1950年的傻柱高考恢復後考入大學,借改革開放東風扶搖直上,迎娶陳雪茹,走向新人生!這一世,我傻柱絕不再當冤大頭!

紅鸞引
6035 人在追

主角:雲綺

【惡女不洗白+精緻利己+訓狗+雄競修羅場】 雲綺穿進了故意醜化她的話本子里. 從權傾朝野.面首無數的長公主,一朝淪為侯府聲名狼藉的假千金. 而真千金卻成為侯府明珠,未來是母儀天下的皇後,還讓一眾天之驕子為她傾倒. 睜開眼,得知被她下藥的冷硬將軍要休了她. 她反手便將人綁在椅上. 嗯,的確很硬. - 侯府要將她掃地出門. 她反手便將侯府能滅門的罪狀甩過去. 這些事他們沒幹過? 沒幹過她可以造謠啊. - 滿京城人人嘲諷她腦袋空空,蠢笨無知. 她從不解釋. 裝逼這種事,就得等哪天裝波大的才行. - 京中不知何時流傳開新話本,名為《惡女馴犬錄》 第一章:冷硬將軍變忠犬,前夫哥冷臉洗內褲. 第二章:陰鬱弟弟不聽話,拴上條狗鏈就好了. 第三章:竹馬世子恨她要死,親懵就沒力氣罵人了. 第四章:高嶺之花丞相只可遠觀,她偏趴人身上看. 第五章:誰說救風塵的只能是男人? …… 雲綺被身邊一眾男人喂着蜜漬梅子,翻完最後一頁,隨手將話本子扔進炭盆. 她懶懶望了眼漫天飛絮——這京城的雪,比話本子好看多了. - (1vn,結局未定,男全潔) (萬人嫌爆改萬人迷,女主名取自「行到水窮處,坐看雲起時」) (女主可能和每個男主都有曖昧親密接觸,能接受再看)

川俯溪畔
2921 人在追

主角:霍政川楚容溪霍政川

(評分剛出,在漲!)

(1V1雙潔+高位者為愛低頭+一見鍾情+明媚嬌小姐+上京權貴大佬)

楚家小女兒楚容溪生得明媚絕色,從小被嬌養着長大,眾星捧月。

因為一個賭注,不小心招惹了人人忌憚的權貴大佬霍政川。

上京人人都說,霍政川權勢滔天,富可敵國,為人更是冷心薄情,手段狠戾。

眾人都暗自看熱鬧,蜜罐里長大的楚家小姐惹了霍先生,怕是凶多吉少。

可後來,不知哪裡來的傳言,那位不近女色,位高權重的霍家家主霍政川對楚容溪丟了心,動了情。

那日,她先他一步走進包廂,自然坐在了主位,有人好心提醒:“楚小姐,你坐錯位置了吧?那不是你能坐的位置。

她起身,笑着朝對方點了下頭,就要往旁邊坐過去。

包間的門恰好打開,所有人的視線都看了過去,

椅子挪動的聲音也接二連三的響了起來。

他邁步走了進來,徑直走到她旁邊,擷着她的肩膀讓她在剛才的位置上坐下。輕聲道:“坐這裡。“

他知道這是主位,他就讓她坐在這裡。

聲音不大不小,安靜的包間里每一個人都能聽見。

她吃飽,飯局才算進入後半場。

那天,眾人才知傳言不假。

人人都說,楚家小姐贏麻了。

可只有霍政川知道,從見她第一眼起,他才是那個押上全部、乞求垂憐的賭徒。

紙鶴飛不起來,她也站不起來

爸媽鬧離婚那天,媽媽失控將七歲的我推下樓梯,致我半身癱瘓。這場悲劇強行按下了他們婚姻的暫停鍵。他們沒再提離婚,卻在第二年生下了一個妹妹作為精神寄託。媽媽為了贖罪,辭去工作寸步不離地照顧了我八年。十五歲,本該是個知恥的年紀,我卻又一次尿濕了剛換好的乾淨床單。妹妹捂着鼻子躲開:“媽,屋裡好臭!同學來看見又要笑話我了!”媽媽猛地僵住,她渾身發抖地指着門,將妹妹厲聲罵走,轉頭拿着毛巾一聲不吭的擦拭。可隨着刺鼻尿味散開,她擦拭的力度越來越大,毛巾攥的越來越緊,最後用力到手背暴起青筋。終於,她像被抽幹了所有力氣,跌坐在床邊死死捂着臉,爆發出絕望而嘶啞的痛哭:“這日子到底什麼時候是個頭啊?”“媽媽真的好累,好想像正常人一樣睡個安穩覺啊......”看着她崩潰痛哭的模樣,我沒有哭,只是覺得心臟空了一塊。我死死盯着陽台那扇未關的窗。媽媽,別急,我很快就把自由還給你。

人性的鐵律實用寶典

適合每一個渴望了解自己、理解他人的人。它既是一本隨身攜帶的人性百科全書,也是每日成長的心靈指南。通過日復一日的學習,你將逐漸讀懂人性的密碼,在人際交往中遊刃有餘,在人生道路上做出更明智的選擇,收穫更和諧的人際關係與更順遂的人生。

星淵殘卷:我每夜預見千年秘聞

燕南泠,現代急診科醫生,猝死後穿越至大周覆滅後的亂世,魂附邊境孤女之身。

天下三分,魏楚齊戰亂不休,星淵裂隙隱現,命定之人將逆天改運。

她每夜入夢“星淵殘卷”,得上古秘術,醒後須速記,否則遺忘。

初為葯廬婢女,險遭惡少所害,幸得雲七娘相救,憑醫方救人立身。

邊境戰火起,疫病蔓延,她改良古方,獲將軍謝玄青賞識,卻遭誣“妖女”。

都城權謀暗涌,她以醫術破案,觸星淵預言,掌心現星紋,命運輪盤啟動。

靈覺覺醒,機關、音律、卜算皆為利器,她步步為營,揭開千年謎局。

三界將傾,唯星可補,她是亂世棋子,亦是破局之人

楚總,太太又去民政局申請離婚了

深城無人不知,楚京西娶落溪是被姑姑逼迫。如今,姑姑去世,楚京西的白月光回國,人人都等着看落溪成為豪門棄婦。落溪:實不相瞞,我比你們還着急。引得所有人群嘲:你就吹吧,楚總做夢都想跟你離婚。然而萬萬沒想到,楚京西一條微博,讓熱搜原地爆炸:從來不做夢,不可能離婚,望周知。落溪慌了:這男人到底要幹什麼?

玄學棄婦覺醒後,冷王求做我續命符

為了當年的驚鴻一瞥,江清婉隱姓埋名嫁入將軍府,花了半身修為幫秦家改命。

誰知男子曾經回到北京,帶回了美麗華貴的縣主。

婆婆明褒暗貶地逼她讓位,甚至喊了她五年母親的養子,也輕蔑地看着她。

“你是一個商女,怎麼配做我媽媽?”

看透一切的江清婉拋下一紙和離書,收回了對秦家的保佑,讓他們厄運纏身。

本想逍遙離京,卻遇到了身負怪命格的九王爺,竟能幫她恢復修養。

她成了九王爺的幕僚,京城謠言四起,都說她是王府的外室嬌娘。

男人冷着張俊美如仙的臉,充滿了厭惡。

“她只是我邀請的天師。”

後來,江清婉成了著名的東京神算,京中權貴紛紛跪求一卦。

前夫後悔不已,糾纏不清,一聲“婉婉”喊得真心切。

貴氣清冷的九王爺化身醋精加寵妻狂魔,抱着人的小腰宣誓主權。

什麼天師?這是他的小嬌娘。

零基礎Python從入門到精通
設置
夜間
日間

向上滑動顯示閱讀菜單

提示